package{

	/*配置MovieClip(基準点はすべて中央)
	lt_mc：左上
	mt_mc：中央上
	rt_mc：右上
	lm_mc：左
	mm_mc：中央(全画面表示の切替に使用)
	rm_mc：右
	lb_mc：左下
	mb_mc：中央下
	rb_mc：右下
	*/

	//使用しているクラス
	import flash.display.MovieClip;
	import flash.events.Event;
	import flash.events.MouseEvent;	
	import flash.events.FullScreenEvent;
	import flash.display.StageScaleMode;
	import flash.display.StageAlign;
	import flash.display.StageDisplayState;

	//クラス定義
	//MovieClipインスタンスを操作するため、MovieClipクラスを継承
	public class Fullflashsample extends MovieClip{

		//コンストラクタ
		function Fullflashsample(){

			//ステージサイズ変更に伴う拡大縮小無しと基準を左上固定の設定
			stage.scaleMode = StageScaleMode.NO_SCALE;
			stage.align = StageAlign.TOP_LEFT;
			
			//ステージサイズ変更時イベント設定
			stage.addEventListener(Event.RESIZE , resizeStage); 

			//スクリーンモード切替時イベント設定
			stage.addEventListener(FullScreenEvent.FULL_SCREEN , changeScreen);

			//中央のMovieClipクリック時イベント設定
			mm_mc.addEventListener(MouseEvent.CLICK , clickMc);

			//初期表示のため、最初に一回位置調整
			changeLocation();
		}
		
		//ステージサイズ変更時関数
		private function resizeStage(event:Event):void {
		
			//MovieClipの位置調整以外にステージサイズ変更時の処理があればここに記述
	
			changeLocation();//MovieClip位置調整
		}
	
		//MovieClip位置調整関数
		private function changeLocation(){
			//MovieClip毎の位置調整
			//本来まとめられる部分もあるが、わかりやすさ優先で各MovieClip毎に記述
	
			//左上
			lt_mc.x = lt_mc.width / 2
			lt_mc.y = lt_mc.height / 2;
	
			//中央上
			mt_mc.x = stage.stageWidth / 2;
			mt_mc.y = mt_mc.height / 2;
	
			//右上
			rt_mc.x = stage.stageWidth - rt_mc.width / 2;
			rt_mc.y = rt_mc.height / 2;
	
			//左
			lm_mc.x = lm_mc.width / 2
			lm_mc.y = stage.stageHeight / 2;
	
			//中央
			mm_mc.x = stage.stageWidth / 2;
			mm_mc.y = stage.stageHeight / 2;
	
			//右
			rm_mc.x = stage.stageWidth - rm_mc.width / 2;
			rm_mc.y = stage.stageHeight / 2;
	
			//左下
			lb_mc.x = lb_mc.width / 2;
			lb_mc.y = stage.stageHeight - lb_mc.height / 2;
	
			//中央下
			mb_mc.x = stage.stageWidth / 2;
			mb_mc.y = stage.stageHeight - mb_mc.height / 2;
	
			//右下
			rb_mc.x = stage.stageWidth - rb_mc.width / 2;
			rb_mc.y = stage.stageHeight - rb_mc.height / 2;
		}

		//スクリーンモード切替時関数
		//引数がtrue：フルスクリーン　false：ブラウザ内表示(通常)
		private function changeScreen(event:FullScreenEvent):void{
			if(event.fullScreen != true){//ブラウザ内表示へ
				//ブラウザ内表示への切替時の処理記述
			}
			else{//フルスクリーン表示へ
				//フルスクリーン表示への切替時の処理記述
			}
		}


		//中央のMovieClipクリック時関数
		private function clickMc(event:MouseEvent):void{
			if(stage.displayState != StageDisplayState.NORMAL){//現在フルスクリーン
				stage.displayState = StageDisplayState.NORMAL;
			}
			else{//現在ブラウザ内表示(通常)
				stage.displayState = StageDisplayState.FULL_SCREEN;
			}
		}
	}
}